Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 175)
@@ -702,5 +1124,198 @@
    wks=gsn_open_wks(format_out,file_out)
    gsn_define_colormap(wks,"rainbow+white") 
- 
+
+   ; ***************************************************
+   ; set up minimum and maximum height
+   ; *************************************************** 
+
+   if (logy .EQ. 1)then
+      if (.not. isvar("min_z"))then
+         if (isvar("z_u"))then
+            min_z=z_u(1)
+         else
+            min_z=z_w(1)
+         end if
+         if (stringtofloat(parameter(33)) .NE. z_u(1) .OR. stringtofloat(parameter(33)) .NE. z_w(1)) then
+            if (stringtofloat(parameter(33)) .EQ. 0) then
+               if (isvar("z_u"))then
+                  min_z=z_u(1)
+               else
+                  min_z=z_w(1)
+               end if  
+            else
+               if (stringtofloat(parameter(33)) .GE. max(z_u) ) then
+                  print(" ")
+                  print("Minimum of height ('min_z'="+stringtofloat(parameter(33))+") is greater than available heights (="+max(z_u)+")")
+                  print(" ")
+                  exit
+               end if
+               if (stringtofloat(parameter(33)) .LT. z_u(1)) then
+                  print(" ")
+                  print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
+                  print(" ")
+                  exit
+               end if 
+               min_z=stringtofloat(parameter(33))
+            end if
+         end if
+      else
+         if (min_z .GE. max(z_u) ) then
+            print(" ")
+            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
+            print(" ")
+            exit
+         end if
+         if (min_z .LT. z_u(1) ) then
+            print(" ")
+            print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
+            print(" ")
+            exit
+         end if
+      end if
+   else
+      if (.not. isvar("min_z"))then
+         min_z=0.0     
+         if (stringtofloat(parameter(33)) .NE. 0) then
+            if (stringtofloat(parameter(33)) .GE. max(z_u) ) then
+               print(" ")
+               print("Minimum of height ('min_z'="+stringtofloat(parameter(33))+") is greater than available heights (="+max(z_u)+")")
+               print(" ")
+               exit
+            end if
+            if (stringtofloat(parameter(33)) .LT. 0 ) then
+               print(" ")
+               print("Begin minimum of height 'min_z' with 0")
+               print(" ")
+               exit
+            end if 
+            min_z=stringtofloat(parameter(33))
+         end if
+      else
+         if (min_z .GE. max(z_u) ) then
+            print(" ")
+            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
+            print(" ")
+            exit
+         end if
+         if (min_z .LT. 0 ) then
+            print(" ")
+            print("Begin minimum of height 'min_z' with 0")
+            print(" ")
+            exit
+         end if
+      end if
+   end if
+
+   if (.not. isvar("max_z"))then
+      max_z=max(z_u)
+      if ((parameter(35)) .NE. "max(z_u)") then
+         if (stringtofloat(parameter(35)) .GE. max(z_u) ) then
+            print(" ")
+            print("Maximum of height ('max_z'="+parameter(35)+") is greater than available heights (="+max(z_u)+")")
+            print(" ")
+            exit
+         end if
+         if (stringtofloat(parameter(35)) .LE. 0 ) then
+            print(" ")
+            print("Maximum of height 'max_z' should be at least 1")
+            print(" ")
+            exit
+         end if 
+         max_z=stringtofloat(parameter(35))
+      end if
+   else
+      if (max_z .GE. max(z_u) ) then
+         print(" ")
+         print("Maximum of height ('max_z'="+max_z+") is greater than available heights (="+max(z_u)+")")
+         print(" ")
+         exit
+      end if
+      if (max_z .LE. 0 ) then
+         print(" ")
+         print("Maximum of height 'max_z' should be at least 1")
+         print(" ")
+         exit
+      end if
+   end if
+
+   min_z=min_z/norm
+   max_z=max_z/norm
+
+   ; ***************************************************
+   ; read data and create plots
+   ; ***************************************************
+      
+   do ti = start_time_step, end_time_step
+      if( t_all(ti) .lt. 10^36) then
+         start_time_step = ti
+         break
+      end if
+   end do  
+   
+   if (logy .EQ. 1) then
+      data   = new((/dim,(end_time_step-start_time_step)+1,dimz-1/),float) 
+      data_0 = new((/(end_time_step-start_time_step)+1,dimz-1/),float)
+      data_0 = 0.1
+      t      = new((/(end_time_step-start_time_step)+1,dimz-1/),float) 
+      t      = 0.0
+      unit   = new(dim,string)
+      if (isvar("z_u"))then
+         if (typeof(z_u) .EQ. "double")then
+            z_v    = new((/dim,dimz/),double)
+            z_     = new((/dim,dimz-1/),double)
+         else
+            if (typeof(z_u) .EQ. "float")then 
+               z_v    = new((/dim,dimz/),float)
+               z_     = new((/dim,dimz-1/),float)
+            end if
+         end if
+      else
+         if (isvar("z_w"))then
+            if (typeof(z_w) .EQ. "double")then
+               z_v    = new((/dim,dimz/),double)
+               z_     = new((/dim,dimz-1/),double)
+            else
+               if (typeof(z_w) .EQ. "float")then 
+                  z_v    = new((/dim,dimz/),float)
+                  z_     = new((/dim,dimz-1/),float)
+               end if
+            end if
+         end if
+      end if
+   else
+      data   = new((/dim,(end_time_step-start_time_step)+1,dimz/),float) 
+      data_0 = new((/(end_time_step-start_time_step)+1,dimz/),float)
+      data_0 = 0.0
+      t      = new((/(end_time_step-start_time_step)+1,dimz/),float) 
+      t      = 0.0
+      unit   = new(dim,string)
+      if (isvar("z_u"))then
+         if (typeof(z_u) .EQ. "double")then
+            z_v    = new((/dim,dimz/),double)
+            z_     = new((/dim,dimz/),double)
+         else
+            if (typeof(z_u) .EQ. "float")then 
+               z_v    = new((/dim,dimz/),float)
+               z_     = new((/dim,dimz/),float)
+            end if
+         end if
+      else
+         if (isvar("z_w"))then
+            if (typeof(z_w) .EQ. "double")then
+               z_v    = new((/dim,dimz/),double)
+               z_     = new((/dim,dimz/),double)
+            else
+               if (typeof(z_w) .EQ. "float")then 
+                  z_v    = new((/dim,dimz/),float)
+                  z_     = new((/dim,dimz/),float)
+               end if
+            end if
+         end if
+      end if
+   end if
+
+   end if
+   ;------------------------------------------------------ above steps only for first file
+
    ; ***************************************************
    ; indicate plot number 
@@ -712,91 +1327,4 @@
       n = 0
    end if
-
-   ; ***************************************************
-   ; set up minimum and maximum height
-   ; ***************************************************
-
-   if (.not. isvar("min_z"))
-      min_z=0
-      if (stringtointeger(parameter(33)) .NE. 0) then
-         if (stringtointeger(parameter(33)) .GE. max(z_u) ) then
-            print(" ")
-            print("Minimum of height ('min_z'="+stringtointeger(parameter(33))+") is greater than available heights (="+max(z_u)+")")
-            print(" ")
-            exit
-         end if
-         if (stringtointeger(parameter(33)) .LT. 0 ) then
-            print(" ")
-            print("Begin minimum of height 'min_z' with 0")
-            print(" ")
-            exit
-         end if 
-         min_z=stringtointeger(parameter(33))
-      end if
-   else
-      if (min_z .GE. max(z_u) ) then
-         print(" ")
-         print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
-         print(" ")
-         exit
-      end if
-      if (min_z .LT. 0 ) then
-         print(" ")
-         print("Begin minimum of height 'min_z' with 0")
-         print(" ")
-         exit
-      end if
-   end if
-
-   if (.not. isvar("max_z"))
-      max_z=max(z_u)
-      if ((parameter(35)) .NE. "max(z_u)") then
-         if (stringtofloat(parameter(35)) .GE. max(z_u) ) then
-            print(" ")
-            print("Maximum of height ('max_z'="+parameter(35)+") is greater than available heights (="+max(z_u)+")")
-            print(" ")
-            exit
-         end if
-         if (stringtointeger(parameter(35)) .LE. 0 ) then
-            print(" ")
-            print("Maximum of height 'max_z' should be at least 1")
-            print(" ")
-            exit
-         end if 
-         max_z=stringtointeger(parameter(35))
-      end if
-   else
-      if (max_z .GE. max(z_pr) ) then
-         print(" ")
-         print("Maximum of height ('max_z'="+max_z+") is greater than available heights (="+max(z_u)+")")
-         print(" ")
-         exit
-      end if
-      if (max_z .LE. 0 ) then
-         print(" ")
-         print("Maximum of height 'max_z' should be at least 1")
-         print(" ")
-         exit
-      end if
-   end if
-
-   ; ***************************************************
-   ; read data and create plots
-   ; ***************************************************
-      
-   do ti = start_time_step, end_time_step
-      if( t_all(ti) .lt. 10^36) then
-         start_time_step = ti
-         break
-      end if
-   end do  
- 
-   data   = new((/dim,(end_time_step-start_time_step)+1,dimz/),float) 
-   data_0 = new((/(end_time_step-start_time_step)+1,dimz/),float)
-   data_0 = 0.0
-   t      = new((/(end_time_step-start_time_step)+1,dimz/),float) 
-   t      = 0.0
-   unit   = new(dim,string)
-   z_v    = new((/dim,dimz/),double)
 
    if (over .EQ. 1) then 
@@ -976,15 +1504,28 @@
       if (combine .EQ. 1) then         
          com=isStrSubset(c_var,","+vNam(varn)+"," )      
-         if (com)      
+         if (com) then      
             if (prof3d .EQ. 0) then
                temp = f->$vNam(varn)$
-               data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1)
+               if (logy .EQ. 1) then
+                  data(varn,:,:) = temp(start_time_step:end_time_step,1:dimz-1)
+               else
+                  data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1)
+               end if
             else
-               do i=0,dimz-1
-                  do j=start_time_step,end_time_step
-                     temp= f->$vNam(varn)$(j,i,:,:)
-                     data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+               if (logy .EQ. 1) then
+                  do i=1,dimz-1
+                     do j=start_time_step,end_time_step
+                        temp= f->$vNam(varn)$(j,i,:,:)
+                        data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                     end do
                   end do
-               end do
+               else
+                  do i=0,dimz-1
+                     do j=start_time_step,end_time_step
+                        temp= f->$vNam(varn)$(j,i,:,:)
+                        data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                     end do
+                  end do
+               end if
                print(" ")
                print("Variable for combine '"+vNam(varn)+"' is read")
@@ -1006,4 +1547,11 @@
       if(check) then
 
+         if (isStrSubset(vNam(varn),"_0" ))then
+            print(" ")
+            print("If you have Outputs of statistic regions you cannot overlay variables; 'over' is set to 0")
+            print(" ")
+            over = 0
+         end if
+        
          count_var=count_var+1
 
@@ -1011,10 +1559,19 @@
             temp = f->$vNam(varn)$
          else
-            do i=0,dimz-1
-               do j=start_time_step,end_time_step
-                  temp = f->$vNam(varn)$(j,i,:,:)
-                  data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+             if (logy .EQ. 1) then
+               do i=1,dimz-1
+                  do j=start_time_step,end_time_step
+                     temp= f->$vNam(varn)$(j,i,:,:)
+                     data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                  end do
                end do
-            end do
+            else
+               do i=0,dimz-1
+                  do j=start_time_step,end_time_step
+                     temp= f->$vNam(varn)$(j,i,:,:)
+                     data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                  end do
+               end do
+            end if
             print(" ")
             print("Variable '"+vNam(varn)+"' is read")
@@ -1026,21 +1583,47 @@
     
          if (prof3d .EQ. 0) then
-            z = f->$vNam(varn+1)$ 
-            unit(varn) = temp@units
-            data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1) 
+            if (logy .EQ. 1) then
+               z = f->$vNam(varn+1)$(1:dimz-1) 
+               unit(varn) = temp@units
+               data(varn,:,:) = temp(start_time_step:end_time_step,1:dimz-1) 
+            else
+               z = f->$vNam(varn+1)$ 
+               unit(varn) = temp@units
+               data(varn,:,:) = temp(start_time_step:end_time_step,:) 
+            end if
          else 
             do i=0,b-1            
-               if (isStrSubset( a(i),"zu_3d" ))
+               if (isStrSubset( a(i),"zu_3d" ))then
                   z_v(varn,:) = z_u
-                  z = z_v(varn,:)
-               else
-                  if (isStrSubset( a(i),"zw_3d" ))
+                  if (logy .EQ. 1) then
+                     z = z_v(varn,1:dimz-1)
+                  else
+                     z = z_v(varn,:)
+                  end if 
+               else
+                  if (isStrSubset( a(i),"zw_3d" ))then
                      z_v(varn,:) = z_w
-                     z = z_v(varn,:)
+                     if (logy .EQ. 1) then
+                        z = z_v(varn,1:dimz-1)
+                     else
+                        z = z_v(varn,:)
+                     end if
                   end if                   
                end if
             end do            
          end if
+
+         if (data(varn,0,0) .GT. 1.E35) then
+            data(varn,0,:) = data(varn,1,:)
+         end if
+         if (nof .EQ. 0) then
+            z_(n,:)=z/norm
+            z    = z_(n,:)
+         else
+            z=z/norm
+         end if
+    
          if (over .EQ. 0) then  
+            res@xyDashPattern      = nof
             res@gsnLeftString      = vNam(varn)
             res@gsnRightString     = unit(varn)
@@ -1064,5 +1647,5 @@
             else 
                res@trXMaxF            = xe  
-            end if                     
+            end if         
             plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
          end if       
@@ -1073,5 +1656,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_u = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_u = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1095,5 +1678,5 @@
                      res@trXMaxF            = xe  
                   end if                
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)  
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
                end if
             end if
@@ -1103,5 +1686,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_v = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_v = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1125,5 +1708,5 @@
                      res@trXMaxF            = xe  
                   end if                
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if  
             end if
@@ -1133,5 +1716,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_w = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_w = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1155,5 +1738,5 @@
                      res@trXMaxF            = xe  
                   end if           
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if   
             end if
@@ -1164,5 +1747,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_pt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_pt = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1186,5 +1769,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if  
             end if
@@ -1194,5 +1777,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_vpt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_vpt = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1216,5 +1799,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if 
             end if
@@ -1224,5 +1807,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_lpt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_lpt = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1246,5 +1829,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -1255,5 +1838,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_q = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_q = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1277,5 +1860,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1285,5 +1868,5 @@
                if (over .EQ. 1) then 
                   res@xyDashPattern  = 1
-                  plot_qv = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_qv = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1307,5 +1890,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1315,5 +1898,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_ql = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_ql = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1337,5 +1920,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1346,5 +1929,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_e = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_e = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1368,5 +1951,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -1376,5 +1959,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_es = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_es = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1398,5 +1981,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1407,5 +1990,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_km = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_km = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1429,5 +2012,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -1437,5 +2020,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_kh = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_kh = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1459,5 +2042,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1468,5 +2051,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpup = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpup = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1490,5 +2073,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1498,5 +2081,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wsus = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsus = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1520,5 +2103,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1528,5 +2111,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_wu = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wu = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1550,5 +2133,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1559,5 +2142,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpvp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpvp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1581,5 +2164,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1589,5 +2172,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wsvs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsvs = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1611,5 +2194,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1619,5 +2202,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_wv = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wv = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1641,5 +2224,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1650,5 +2233,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpptp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpptp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1672,5 +2255,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1680,5 +2263,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wspts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wspts = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1702,5 +2285,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1710,5 +2293,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_wpt = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpt = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1732,5 +2315,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1741,5 +2324,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wsptsBC = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsptsBC = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1763,5 +2346,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if             
@@ -1771,5 +2354,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wptBC = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wptBC = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1793,5 +2376,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1802,5 +2385,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpvptp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpvptp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1824,5 +2407,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1832,5 +2415,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wsvpts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsvpts = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1854,5 +2437,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1862,5 +2445,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_wvpt = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wvpt = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1884,5 +2467,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1893,5 +2476,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpqp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpqp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
